{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}
{% trans_default_domain ea.i18n.translationDomain %}

<!DOCTYPE html>
<html lang="{{ ea.i18n.htmlLocale }}" dir="{{ ea.i18n.textDirection }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="robots" content="noindex, nofollow, noarchive, nosnippet, noodp, noimageindex, notranslate, nocache" />
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <meta name="generator" content="EasyAdmin" />

    <title>{% block page_title %}{{ block('content_title')|striptags|raw }}{% endblock %}</title>

    {% block head_stylesheets %}
        <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app.css') }}">
        <link rel="stylesheet" href="{{ asset('build/admin.css') }}">
    {% endblock %}

    {% block configured_stylesheets %}
        {% for css_asset in ea.assets.cssFiles ?? [] %}
            <link rel="stylesheet" href="{{ asset(css_asset) }}">
        {% endfor %}
    {% endblock %}

    {% block head_favicon %}
        <link rel="shortcut icon" href="{{ asset(ea.dashboardFaviconPath) }}">
    {% endblock %}

    {% block head_javascript %}
        <script src="{{ asset('bundles/easyadmin/app.js') }}"></script>
    {% endblock head_javascript %}

    {% if 'rtl' == ea.i18n.textDirection %}
        <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app.rtl.css') }}">
        <link rel="stylesheet" href="{{ asset('bundles/easyadmin/app-custom-rtl.css') }}">
    {% endif %}

    {% block configured_head_contents %}
        {% for htmlContent in ea.assets.headContents ?? [] %}
            {{ htmlContent|raw }}
        {% endfor %}
    {% endblock %}
</head>

{% block body %}
    <body id="{% block body_id %}{% endblock %}" class="ea {% block body_class %}{% endblock %}">
    {% block javascript_page_layout %}
        <script>
            document.body.classList.add(
                'ea-content-width-' + (localStorage.getItem('ea/products/width') || '{{ ea.crud.contentWidth ?? ea.dashboardContentWidth ?? 'normal' }}'),
                'ea-sidebar-width-' + (localStorage.getItem('ea/sidebar/width') || '{{ ea.crud.sidebarWidth ?? ea.dashboardSidebarWidth ?? 'normal' }}')
            );
        </script>
    {% endblock javascript_page_layout %}

    {% block wrapper_wrapper %}
        {% block flash_messages %}
            {{ include(ea.templatePath('flash_messages')) }}
        {% endblock flash_messages %}

        <div class="wrapper">
            {% block wrapper %}
                <header class="main-header">
                    {% block header %}
                        <nav class="navbar" role="navigation">
                            {% block header_navbar %}
                                <button id="navigation-toggler" type="button" aria-label="Toggle navigation">
                                    <i class="fa fa-fw fa-bars"></i>
                                </button>

                                <div id="header-logo">
                                    {% block header_logo %}
                                        <a class="logo {{ ea.dashboardTitle|length > 14 ? 'logo-long' }}" title="{{ ea.dashboardTitle|striptags }}" href="{{ path(ea.dashboardRouteName) }}">
                                            {{ ea.dashboardTitle|raw }}
                                        </a>
                                    {% endblock header_logo %}
                                </div>
                            {% endblock header_navbar %}
                        </nav>

                        {% set _user_menu_content %}
                            <div class="popover-content-section user-details {{ ea.userMenu.items|length > 0 ? 'user-has-actions' }}">
                                <p class="small text-muted mb-0">{{ 'Bonjour'|trans(domain = 'EasyAdminBundle') }}</p>
                                <p class="user-details-name">
                                    {{ ea.user is null ? 'user.anonymous'|trans(domain = 'EasyAdminBundle') : ea.userMenu.name }}
                                </p>
                            </div>

                            {% block user_menu %}
                                {% if ea.userMenu.items|length > 0 %}
                                    <div class="popover-content-section user-menu">
                                        {% for item in ea.userMenu.items %}
                                            <a href="{{ item.linkUrl }}" class="user-action {{ item.cssClass }}" target="{{ item.linkTarget }}" rel="{{ item.linkRel }}" referrerpolicy="origin-when-cross-origin">
                                                {% if item.icon is not empty %}<i class="fa fa-fw {{ item.icon }}"></i>{% endif %}
                                                <span>{{ item.label }}</span>
                                            </a>
                                        {% endfor %}
                                    </div>
                                {% endif %}
                            {% endblock user_menu %}
                        {% endset %}

                        <div class="content-top navbar-custom-menu">
                            {% block header_custom_menu %}
                                {% if constant('Symfony\\Component\\Security\\Core\\Authorization\\Voter\\AuthenticatedVoter::IS_IMPERSONATOR') is defined %}
                                    {% set impersonator_permission = 'IS_IMPERSONATOR' %}
                                {% else %}
                                    {% set impersonator_permission = 'ROLE_PREVIOUS_ADMIN' %}
                                {% endif %}

                                <div class="user user-menu-wrapper {{ is_granted(impersonator_permission) ? 'user-is-impersonated' }}" data-toggle="popover" data-placement="bottom" data-container=".user-menu-wrapper" data-content="{{ _user_menu_content|e('html_attr') }}" data-html="true">
                                    {% if ea.userMenu.isAvatarDisplayed %}
                                        {% if null == ea.userMenu.avatarUrl %}
                                            <i class="fa fa-fw {{ ea.user is not null ? 'fa-user-circle' : 'fa-user-times' }} user-avatar"></i>
                                        {% else %}
                                            <img class="user-avatar" src="{{ ea.userMenu.avatarUrl }}" />
                                        {% endif %}
                                    {% endif %}
                                    {% if ea.userMenu.isNameDisplayed %}
                                        <span class="user-name">{{ ea.userMenu.name }}</span>
                                    {% endif %}
                                </div>
                            {% endblock header_custom_menu %}
                        </div>
                    {% endblock header %}
                </header>

                <aside class="main-sidebar">
                    {% block sidebar %}
                        <section class="sidebar">
                            {% block main_menu_wrapper %}
                                {{ include(ea.templatePath('main_menu')) }}
                            {% endblock main_menu_wrapper %}
                        </section>

                    {% endblock sidebar %}
                </aside>

                <div class="content-wrapper">
                    <div id="sidebar-resizer-handler" class="resizer-handler resizer-handler-left"></div>

                    {% block content %}
                        <div class="content">
                            {% block content_header_wrapper %}
                                {% set has_help_message = (ea.crud.helpMessage ?? '') is not empty %}
                                <section class="content-header">
                                    {% block content_header %}
                                        <div class="d-flex flex-row justify-content-between align-content-center w-100">
                                            <div class="content-header-title">
                                                <h1 class="title">
                                                    {% block content_title %}{% endblock %}

                                                    {% block content_help %}
                                                        {% if has_help_message %}
                                                            <span class="content-header-help">
                                                                <i class="far fa-question-circle" data-toggle="tooltip" title="{{ ea.crud.helpMessage|e('html_attr') }}"></i>
                                                            </span>
                                                        {% endif %}
                                                    {% endblock %}
                                                </h1>
                                            </div>

                                            {% block page_actions_wrapper %}
                                                <div class="page-actions">{% block page_actions %}{% endblock %}</div>
                                            {% endblock %}
                                        </div>
                                    {% endblock content_header %}
                                </section>
                            {% endblock content_header_wrapper %}

                            <section id="main" class="content-body">
                                {% block main %}{% endblock %}
                            </section>

                            {% block content_footer_wrapper %}
                                {% set content_footer = block('content_footer') is defined ? block('content_footer') : '' %}
                                {% if content_footer is not empty %}
                                    <section class="content-footer">
                                        {{ content_footer }}
                                    </section>
                                {% endif %}
                            {% endblock %}
                        </div>
                    {% endblock content %}

                    <div id="content-resizer-handler" class="resizer-handler resizer-handler-right"></div>
                </div>
            {% endblock wrapper %}
        </div>
    {% endblock wrapper_wrapper %}

    {% block body_javascript %}{% endblock body_javascript %}

    {% block configured_javascripts %}
        {% for js_asset in ea.assets.jsFiles ?? [] %}
            <script src="{{ asset(js_asset) }}"></script>
        {% endfor %}
    {% endblock %}

    {% block configured_body_contents %}
        {% for htmlContent in ea.assets.bodyContents ?? [] %}
            {{ htmlContent|raw }}
        {% endfor %}
    {% endblock %}
    </body>
{% endblock body %}
</html>
